# QSGREP

Section: qsgrep man page (1)
Updated: April 2024
Index Return to Main Contents

## NAME

qsgrep - prints matching patterns within a file.

## SYNOPSIS

qsgrep -e <pattern> -o <sub string> [<path>]

## DESCRIPTION

qsgrep is a simple tool to search patterns within files. It uses regular expressions to find patterns and prints the submatches within a pre-defined format string.

## OPTIONS

-e <pattern>
  Specifies the search pattern.
-o <string>
  Defines the output string where $0-$9 are substituted by the submatches of the regular expression.
<path>
  Defines the input file to process. qsgrep reads from from standard input if this parameter is omitted.

## EXAMPLE

Shows the IP addresses of clients causing mod_qos(031) messages):

qsgrep -e 'mod_qos\(031\).*, c=([a-zA-Z0-9:.]*)' -o 'ip=$1' error_log

## SEE ALSO

qsdt(1), qsexec(1), qsfilter2(1), qsgeo(1), qshead(1), qslog(1), qslogger(1), qspng(1), qsre(1), qsrespeed(1), qsrotate(1), qssign(1), qstail(1)

## AUTHOR

Pascal Buchbinder, http://mod-qos.sourceforge.net/

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLE
SEE ALSO
AUTHOR